Bug 102405 - Assertion failure in journal_commit_transaction
Assertion failure in journal_commit_transaction
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 15:39 EDT by Jarom Hagen
Modified: 2007-03-27 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-15 13:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarom Hagen 2003-08-14 15:39:36 EDT
Description of problem:

"Assertion failure in journal_commit_transaction" in kernel caused the server to
hang.

Version-Release number of selected component (if applicable):
2.4.18-3smp #1 SMP Thu Apr 18 07:27:31 EDT 2002 i686 

How reproducible:

Unknown

Steps to Reproduce:
1.
2.
3.
    
Actual results:

kernel hang

Expected results:


Additional info:

I have only seen this once.
Comment 1 Jarom Hagen 2003-08-14 15:41:18 EDT
Aug 14 14:15:33 wolf kernel: Assertion failure in journal_commit_transaction()
at commit.c:535: "buffer_jdirty(bh)"
Aug 14 14:15:33 wolf kernel: ------------[ cut here ]------------
Aug 14 14:15:33 wolf kernel: kernel BUG at commit.c:535!
Aug 14 14:15:33 wolf kernel: invalid operand: 0000
Aug 14 14:15:33 wolf kernel: mga agpgart autofs e1000 eepro100 ipchains ide-cd
cdrom usb-uhci usbcore ext3
Aug 14 14:15:33 wolf kernel: CPU:    1
Aug 14 14:15:33 wolf kernel: EIP:    0010:[<f88410e4>]    Tainted: P
Aug 14 14:15:33 wolf kernel: EFLAGS: 00010286
Aug 14 14:15:33 wolf kernel:
Aug 14 14:15:33 wolf kernel: EIP is at journal_commit_transaction [jbd] 0xb04
(2.4.18-3smp)
Aug 14 14:15:33 wolf kernel: eax: 0000001c   ebx: 0000000a   ecx: c02eee60  
edx: 00003b9c
Aug 14 14:15:33 wolf kernel: esi: e8eba550   edi: f6ac86c0   ebp: f72de000  
esp: f72dfe78
Aug 14 14:15:33 wolf kernel: ds: 0018   es: 0018   ss: 0018
Aug 14 14:15:33 wolf kernel: Process kjournald (pid: 192, stackpage=f72df000)
Aug 14 14:15:33 wolf kernel: Stack: f8847eee 00000217 f712a800 00000000 00000fdc
e187e024 00000000 f735d4a0
Aug 14 14:15:33 wolf kernel:        d64f7190 00000d5a 80000000 ef53f010 00000005
c5ad4c80 f6ea4f80 d1810320
Aug 14 14:15:33 wolf kernel:        c590dce0 c378e860 da14e540 f0175240 f52787a0
eb8123e0 f37aac80 ea552980
Aug 14 14:15:33 wolf kernel: Call Trace: [<f8847eee>] .rodata.str1.1 [jbd] 0x26e 
Aug 14 14:15:33 wolf kernel: [<c0124eb5>] update_process_times [kernel] 0x25
Aug 14 14:15:33 wolf kernel: [<c0116049>] smp_apic_timer_interrupt [kernel] 0xa9 
Aug 14 14:15:33 wolf kernel: [<c0119048>] schedule [kernel] 0x348
Aug 14 14:15:33 wolf kernel: [<f88437d6>] kjournald [jbd] 0x136
Aug 14 14:15:33 wolf kernel: [<f8843680>] commit_timeout [jbd] 0x0
Aug 14 14:15:33 wolf kernel: [<c0107286>] kernel_thread [kernel] 0x26
Aug 14 14:15:33 wolf kernel: [<f88436a0>] kjournald [jbd] 0x0
Aug 14 14:15:33 wolf kernel:
Aug 14 14:15:33 wolf kernel:
Aug 14 14:15:33 wolf kernel: Code: 0f 0b 5a 59 6a 04 8b 44 24 18 50 56 e8 4b f1
ff ff 8d 47 48
Comment 2 Arjan van de Ven 2003-08-15 13:54:00 EDT
this got fixed in the very first erratum kernel, out for like a looong time now

Note You need to log in before you can comment on or make changes to this bug.